# PDWORDArray Class Reference

Array of unsigned long integers. More...

`#include <array.h>`

Inheritance diagram for PDWORDArray:

List of all members.

## Public Member Functions

Construction
| PDWORDArray (PINDEX initialSize=0)
| Construct a new dynamic array of unsigned longs.
| PDWORDArray (DWORD const *buffer, PINDEX length, PBoolean dynamic=true)
| Construct a new dynamic array of DWORDs.

## Detailed Description

Array of unsigned long integers.

## Constructor & Destructor Documentation

PDWORDArray::PDWORDArray | ( | PINDEX | initialSize = `0` | ) |

Construct a new dynamic array of unsigned longs.

The array is initialised to all zeros.

Parameters:

  initialSize | Initial number of elements in the array.

PDWORDArray::PDWORDArray | ( | DWORD const * | buffer,
|  | PINDEX | length,
|  | PBoolean | dynamic = `true` |
| ) |  |  |

Construct a new dynamic array of DWORDs.

Parameters:

  buffer | Pointer to an array of DWORDs.
  length | Number of elements pointed to by `buffer`.
  dynamic | Buffer is copied and dynamically allocated.

The documentation for this class was generated from the following file:

- array.h